Upstream information

CVE-2023-41081 at MITRE

Description

Important: Authentication Bypass CVE-2023-41081 The mod_jk component of Apache Tomcat Connectors in some circumstances, such as when a configuration included "JkOptions +ForwardDirectories" but the configuration did not provide explicit mounts for all possible proxied requests, mod_jk would use an implicit mapping and map the request to the first defined worker. Such an implicit mapping could result in the unintended exposure of the status worker and/or bypass security constraints configured in httpd. As of JK 1.2.49, the implicit mapping functionality has been removed and all mappings must now be via explicit configuration. Only mod_jk is affected by this issue. The ISAPI redirector is not affected. This issue affects Apache Tomcat Connectors (mod_jk only): from 1.2.0 through 1.2.48. Users are recommended to upgrade to version 1.2.49, which fixes the issue. History 2023-09-13 Original advisory 2023-09-28 Updated summary

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 7.5 5.3
Vector CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:N/A:N CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:L/I:N/A:N
Attack Vector Network Network
Attack Complexity Low Low
Privileges Required None None
User Interaction None None
Scope Unchanged Unchanged
Confidentiality Impact High Low
Integrity Impact None None
Availability Impact None None
CVSSv3 Version 3.1 3.1
SUSE Bugzilla entry: 1215301 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Liberty Linux 9
  • mod_jk >= 1.2.49-1.el9_4
  • mod_proxy_cluster >= 1.3.20-1.el9_4
Patchnames:
RHSA-2024:2387
SUSE Linux Enterprise Server 12 SP5
SUSE Linux Enterprise Server for SAP Applications 12 SP5
  • apache2-mod_jk >= 1.2.49-7.9.1
Patchnames:
SUSE-SLE-SERVER-12-SP5-2024-1198


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification. The updates are grouped by state of their lifecycle. SUSE product lifecycles are documented on the lifecycle page.

Product(s) Source package State
Products under general support and receiving all security fixes.
SUSE Enterprise Storage 7.1 apache2-mod_jk Released
SUSE Linux Enterprise High Performance Computing 12 SP5 apache2-mod_jk Released
SUSE Linux Enterprise High Performance Computing 15 SP5 apache2-mod_jk Released
SUSE Linux Enterprise High Performance Computing 15 SP6 apache2-mod_jk Affected
SUSE Linux Enterprise Module for Server Applications 15 SP5 apache2-mod_jk Released
SUSE Linux Enterprise Module for Server Applications 15 SP6 apache2-mod_jk Affected
SUSE Linux Enterprise Server 12 SP5 apache2-mod_jk Released
SUSE Linux Enterprise Server 15 SP5 apache2-mod_jk Released
SUSE Linux Enterprise Server 15 SP6 apache2-mod_jk Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP5 apache2-mod_jk Released
SUSE Linux Enterprise Server for SAP Applications 15 SP5 apache2-mod_jk Released
SUSE Linux Enterprise Server for SAP Applications 15 SP6 apache2-mod_jk Affected
SUSE Manager Proxy 4.3 apache2-mod_jk Affected
SUSE Manager Retail Branch Server 4.3 apache2-mod_jk Affected
SUSE Manager Server 4.3 apache2-mod_jk Affected
Products under Long Term Service Pack support and receiving important and critical security fixes.
SUSE Linux Enterprise High Performance Computing 15 SP2 apache2-mod_jk Affected
SUSE Linux Enterprise High Performance Computing 15 SP2-ESPOS apache2-mod_jk Affected
SUSE Linux Enterprise High Performance Computing 15 SP2-LTSS apache2-mod_jk Released
SUSE Linux Enterprise High Performance Computing 15 SP3 apache2-mod_jk Affected
SUSE Linux Enterprise High Performance Computing 15 SP3-ESPOS apache2-mod_jk Affected
SUSE Linux Enterprise High Performance Computing 15 SP3-LTSS apache2-mod_jk Released
SUSE Linux Enterprise High Performance Computing 15 SP4 apache2-mod_jk Affected
SUSE Linux Enterprise High Performance Computing 15 SP4-ESPOS apache2-mod_jk Affected
SUSE Linux Enterprise High Performance Computing 15 SP4-LTSS apache2-mod_jk Affected
SUSE Linux Enterprise Module for Server Applications 15 SP2 apache2-mod_jk Affected
SUSE Linux Enterprise Module for Server Applications 15 SP3 apache2-mod_jk Affected
SUSE Linux Enterprise Module for Server Applications 15 SP4 apache2-mod_jk Affected
SUSE Linux Enterprise Server 15 SP2 apache2-mod_jk Affected
SUSE Linux Enterprise Server 15 SP2-LTSS apache2-mod_jk Released
SUSE Linux Enterprise Server 15 SP3 apache2-mod_jk Affected
SUSE Linux Enterprise Server 15 SP3-LTSS apache2-mod_jk Released
SUSE Linux Enterprise Server 15 SP4 apache2-mod_jk Affected
SUSE Linux Enterprise Server 15 SP4-LTSS apache2-mod_jk Affected
SUSE Linux Enterprise Server for SAP Applications 15 SP2 apache2-mod_jk Released
SUSE Linux Enterprise Server for SAP Applications 15 SP3 apache2-mod_jk Released
SUSE Linux Enterprise Server for SAP Applications 15 SP4 apache2-mod_jk Affected
Products past their end of life and not receiving proactive updates anymore.
HPE Helion OpenStack 8 apache2-mod_jk Affected
SUSE CaaS Platform 4.0 apache2-mod_jk Unsupported
SUSE Enterprise Storage 6 apache2-mod_jk Affected
SUSE Enterprise Storage 7 apache2-mod_jk Affected
SUSE Linux Enterprise High Performance Computing 15 apache2-mod_jk Unsupported
SUSE Linux Enterprise High Performance Computing 15 SP1 apache2-mod_jk Affected
SUSE Linux Enterprise High Performance Computing 15 SP1-ESPOS apache2-mod_jk Affected
SUSE Linux Enterprise High Performance Computing 15 SP1-LTSS apache2-mod_jk Unsupported
SUSE Linux Enterprise High Performance Computing 15-ESPOS apache2-mod_jk Unsupported
SUSE Linux Enterprise High Performance Computing 15-LTSS apache2-mod_jk Unsupported
SUSE Linux Enterprise Module for Server Applications 15 apache2-mod_jk Unsupported
SUSE Linux Enterprise Module for Server Applications 15 SP1 apache2-mod_jk Affected
SUSE Linux Enterprise Real Time 15 SP2 apache2-mod_jk Affected
SUSE Linux Enterprise Real Time 15 SP3 apache2-mod_jk Affected
SUSE Linux Enterprise Real Time 15 SP4 apache2-mod_jk Affected
SUSE Linux Enterprise Server 11 SP3 apache2-mod_jk Unsupported
SUSE Linux Enterprise Server 11 SP3-LTSS apache2-mod_jk Unsupported
SUSE Linux Enterprise Server 11 SP4 apache2-mod_jk Unsupported
SUSE Linux Enterprise Server 11 SP4 LTSS apache2-mod_jk Unsupported
SUSE Linux Enterprise Server 11 SP4-LTSS apache2-mod_jk Unsupported
SUSE Linux Enterprise Server 12 SP1 apache2-mod_jk Affected
SUSE Linux Enterprise Server 12 SP1-LTSS apache2-mod_jk Affected
SUSE Linux Enterprise Server 12 SP2 apache2-mod_jk Affected
SUSE Linux Enterprise Server 12 SP2-BCL apache2-mod_jk Affected
SUSE Linux Enterprise Server 12 SP2-ESPOS apache2-mod_jk Affected
SUSE Linux Enterprise Server 12 SP2-LTSS apache2-mod_jk Affected
SUSE Linux Enterprise Server 12 SP3 apache2-mod_jk Affected
SUSE Linux Enterprise Server 12 SP3-BCL apache2-mod_jk Affected
SUSE Linux Enterprise Server 12 SP3-ESPOS apache2-mod_jk Affected
SUSE Linux Enterprise Server 12 SP3-LTSS apache2-mod_jk Affected
SUSE Linux Enterprise Server 12 SP4 apache2-mod_jk Affected
SUSE Linux Enterprise Server 12 SP4-ESPOS apache2-mod_jk Affected
SUSE Linux Enterprise Server 12 SP4-LTSS apache2-mod_jk Affected
SUSE Linux Enterprise Server 15 apache2-mod_jk Unsupported
SUSE Linux Enterprise Server 15 SP1 apache2-mod_jk Affected
SUSE Linux Enterprise Server 15 SP1-BCL apache2-mod_jk Affected
SUSE Linux Enterprise Server 15 SP1-LTSS apache2-mod_jk Released
SUSE Linux Enterprise Server 15 SP2-BCL apache2-mod_jk Affected
SUSE Linux Enterprise Server 15 SP3-BCL apache2-mod_jk Affected
SUSE Linux Enterprise Server 15-LTSS apache2-mod_jk Unsupported
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2 apache2-mod_jk Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP1 apache2-mod_jk Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP2 apache2-mod_jk Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP3 apache2-mod_jk Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP4 apache2-mod_jk Affected
SUSE Linux Enterprise Server for SAP Applications 15 apache2-mod_jk Unsupported
SUSE Linux Enterprise Server for SAP Applications 15 SP1 apache2-mod_jk Unsupported
SUSE Manager Proxy 4.0 apache2-mod_jk Affected
SUSE Manager Proxy 4.1 apache2-mod_jk Affected
SUSE Manager Proxy 4.2 apache2-mod_jk Affected
SUSE Manager Retail Branch Server 4.0 apache2-mod_jk Affected
SUSE Manager Retail Branch Server 4.1 apache2-mod_jk Affected
SUSE Manager Retail Branch Server 4.2 apache2-mod_jk Affected
SUSE Manager Server 4.0 apache2-mod_jk Affected
SUSE Manager Server 4.1 apache2-mod_jk Affected
SUSE Manager Server 4.2 apache2-mod_jk Affected
SUSE OpenStack Cloud 7 apache2-mod_jk Affected
SUSE OpenStack Cloud 8 apache2-mod_jk Affected
SUSE OpenStack Cloud 9 apache2-mod_jk Affected
SUSE OpenStack Cloud Crowbar 8 apache2-mod_jk Affected
SUSE OpenStack Cloud Crowbar 9 apache2-mod_jk Affected


SUSE Timeline for this CVE

CVE page created: Wed Sep 13 13:00:02 2023
CVE page last modified: Sun Jun 16 11:50:29 2024